Package it.ernytech.tdlib

## Class TdApi.InputMessageForwarded

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputMessageContent
    - - it.ernytech.tdlib.TdApi.InputMessageForwarded

Enclosing class:
  TdApi

    public static class TdApi.InputMessageForwarded
    extends TdApi.InputMessageContent

A forwarded message.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `fromChatId` Identifier for the chat this forwarded message came from.
`boolean` `inGameShare` True, if a game message should be shared within a launched game; applies only to game messages.
`long` `messageId` Identifier of the message to forward.

### Constructor Summary

Constructors
`InputMessageForwarded()` Default constructor.
`InputMessageForwarded​(long fromChatId, long messageId, boolean inGameShare)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### fromChatId

    public long fromChatId

Identifier for the chat this forwarded message came from.

#### messageId

    public long messageId

Identifier of the message to forward.

#### inGameShare

    public boolean inGameShare

True, if a game message should be shared within a launched game; applies only to game messages.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputMessageForwarded

    public InputMessageForwarded()

Default constructor.

#### InputMessageForwarded

    public InputMessageForwarded​(long fromChatId,
                                 long messageId,
                                 boolean inGameShare)

Constructor for initialization of all fields.

Parameters:
  `fromChatId` - Identifier for the chat this forwarded message came from.
  `messageId` - Identifier of the message to forward.
  `inGameShare` - True, if a game message should be shared within a launched game; applies only to game messages.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR